#include <stdio.h>
#include <fcntl.h>
#include <io.h>
#include <sys\types.h>
#include <sys\stat.h>
//#include <memory.h>
#include <stdlib.h>

int main (int argc, char *argv[])

{
   unsigned int i, dcp, fnt, dcplen, fntlen;
   char *dcpfile, *fntfile;

   if (argc != 3)
   {
      printf ("Usage: findfont <.dcp file> <font file>\n");
      return 1;
   }

   dcp = open (argv[1], O_BINARY|O_RDONLY);
   fnt = open (argv[2], O_BINARY|O_RDONLY);
   if (dcp==-1 || fnt==-1)
   {
      printf ("Error opening file(s)\n");
      return 2;
   }

   dcplen = (unsigned int) filelength(dcp);
   fntlen = (unsigned int) filelength(fnt);

   dcpfile = malloc (dcplen);
   fntfile = malloc (fntlen);
   if (dcpfile==NULL || fntfile==NULL)
   {
      printf ("Not enough memory\n");
      return 3;
   }

   read (dcp, dcpfile, dcplen);
   read (fnt, fntfile, fntlen);

   for (i=0; i<dcplen-fntlen-1; i++)
      if (memcmp (dcpfile+i, fntfile, fntlen)==0)
	 printf ("%d 0x%x\n", i, i);

   return 0;
}

